/* firesokker-login.js
 * 
 * Add a login form to the news page
 *
 * @author Christian Graffer
 */

/* Function: fsok_addLoginForm
 *
 * This function adds a login form to the news page
 *
 * @param obj   doc         the document node
 *
 * @return void
 */
function fsok_addLoginForm(doc) {

	/* Function: fsok_checkPassword
     *
     * This function checks whether Firesokker should save the password for future
     * logins or not. If yes username and password will be saved as preferences.
     *
     * @param obj event  the onsubmit event that got triggered
     *
     * @return void
     */
	function fsok_checkPassword(event) {
		if (doc != null) {
			var password = doc.getElementById('fsok_ipassword').value;
			var username = doc.getElementById('fsok_ilogin').value;
			var savepass = doc.getElementById('fsok_ipwdsave').checked;
			if (savepass) {
				fsok_prefs.setBoolPref("login_save",true);
				fsok_prefs.setCharPref("login_username",username);
				fsok_prefs.setCharPref("login_password",password);
			} else {
				fsok_prefs.setBoolPref("login_save",false);
				fsok_prefs.setCharPref("login_username","");
				fsok_prefs.setCharPref("login_password","");
			}
		}
	}

	if (fsok_prefs.getBoolPref("add_login_form")) {
		var divs = doc.getElementsByTagName('div');
		var newsheader = divs[14];

		var new_div = doc.createElement('div');
		new_div.className = 'container space1Bottom';
		var content = '<div class="topLeft"><div class="topRight"></div></div>'+
			'<div class="leftLine" id="fsok_login_div"><div class="rightLine">'+
			'<div class="header"><div class="titleBlock1">'+fsok_language.login+'</div></div>'+
			'<div class="insideContainer space2Top"><div class="insideTopLeft"><div class="insideTopRight"></div></div>'+
			'<div class="content" style="">'+
			'<form id="fsok_logform" action="start.php" target="_top" method="post" name="logform">'+
			'<label for=""><strong>'+fsok_language.loginname+'</strong></label><br />'+
			'<input id="fsok_ilogin" type="text" size="10" name="ilogin" '+
			(fsok_prefs.getBoolPref("login_save") ? 'value="'+fsok_prefs.getCharPref("login_username")+'"' : '')+'/><br />'+
			'<label for=""><strong>'+fsok_language.password+'</strong></label><br />'+
			'<input type="password" size="10" id="fsok_ipassword" name="ipassword" '+
			(fsok_prefs.getBoolPref("login_save") ? 'value="'+fsok_prefs.getCharPref("login_password")+'"' : '')+'/><br />';
		content = content + '<input type="checkbox" id="fsok_ipwdsave" name="i_pwd_save"'+(fsok_prefs.getBoolPref("login_save") ? 'checked="checked"' : '') + ' />'+
			fsok_language.remember_pwd+'<br /><br />';
        content = content + '<input type="submit" value="'+fsok_language.login+'"></form><br />'+
			'<a href="logon.php?action=lost">'+fsok_language.lost_password+'</a>';
		content = content + '</div></div></div></div>';

		new_div.innerHTML = content;
		new_div2 = doc.createElement('div');
		new_div2.className = 'bottomLeft';
		new_div2.innerHTML = '<div class="bottomRight"></div>';
		new_div.appendChild(new_div2);

		newsheader.parentNode.insertBefore(new_div,newsheader);
		doc.getElementById('fsok_ilogin').focus();
		doc.getElementById('fsok_logform').addEventListener("submit",fsok_checkPassword,false);
	}
}


if (!fsok_functions["/news.php"])
	fsok_functions["/news.php"] = new Array();

fsok_functions["/news.php"][fsok_functions["/news.php"].length] = fsok_addLoginForm;
