/* firesokker-playernt.js
 *
 * Add a button to submit players to the nt database
 *
 * @author Christian Graffer
 */

/* Function: fsok_addNTFlag
 *
 * This function adds a flag to the player details.
 * Clicking on the flag will submit the player to the NT database
 *
 * @param obj   doc         the document node
 *
 * @return void
 */
function fsok_addNTFlag(doc) {
  if (fsok_prefs.getBoolPref("add_ntdb_links")) {

	//take the current css user style
	var css=doc.getElementsByTagName("link")[0];
	css=css.getAttribute("href");

	if(css=="styleclassic.css")
	  css="http://online.sokker.org/styleclassic.css";

	var add = 0;
	var linkadd = 0;
	var spanadd = 0;
	if (fsok_prefs.getBoolPref("show_team_links")) {
	  linkadd = 4;
	  add = 3;
	  spanadd = 1;
	}


	//find the div tag where the player is placed - difference between plus and no plus users
	var divstag = doc.getElementsByTagName("div");

	/****************************************************************************************/
	/* Collect information from the web page                                                */
	/****************************************************************************************/

	var aux = divstag[11+add].getElementsByTagName("a");

	aux = doc.getElementsByTagName("h1")[0];
	var playername = getNodeValue(aux).replace("]","").split("[")[0].trim();
	var pid = getNodeValue(aux).replace("]","").split("[")[1];

	aux = divstag[17+add].getElementsByTagName("strong");
	var age = aux[0].childNodes[0].nodeValue.trim();

	aux = divstag[21+add].getElementsByTagName("a");
	fsok_log("aux.length (2): "+aux.length, doc);
	var login = aux[0].childNodes[0].nodeValue.trim();
	var tid = aux[0].getAttribute("href").replace("&","=").split("=")[1];
	var country = aux[1+linkadd].getAttribute("href").replace("&","=").split("=")[1];
	var flag = flag_img_start_string+country+".png";

	/****************************************************************************************/
	/* Set database path                                                                    */
	/****************************************************************************************/

	var url = "http://www.sokker.domiciano.eng.br/ntdb/redir.php";

	/****************************************************************************************/
	/* Create new object and the sender                                                     */
	/****************************************************************************************/

	aux = doc.getElementsByTagName("span");
	var val = aux[0+spanadd].childNodes[0].nodeValue.trim();
	var wag = aux[1+spanadd].childNodes[0].nodeValue.trim();
	var frm = fsok_language.skills[aux[2+spanadd].childNodes[0].firstChild.nodeValue.trim()];
	var tac = fsok_language.skills[aux[3+spanadd].childNodes[0].firstChild.nodeValue.trim()];

	aux = doc.getElementsByTagName("table")[0];
	var sta = fsok_language.skills[aux.rows[0].cells[0].getElementsByTagName("strong")[0].innerHTML.replace(/\<\/.*/g,'').replace(/.*\>/g,'')];
	var kee = fsok_language.skills[aux.rows[0].cells[1].getElementsByTagName("strong")[0].innerHTML.replace(/\<\/.*/g,'').replace(/.*\>/g,'')];
	var pac = fsok_language.skills[aux.rows[1].cells[0].getElementsByTagName("strong")[0].innerHTML.replace(/\<\/.*/g,'').replace(/.*\>/g,'')];
	var def = fsok_language.skills[aux.rows[1].cells[1].getElementsByTagName("strong")[0].innerHTML.replace(/\<\/.*/g,'').replace(/.*\>/g,'')];
	var tec = fsok_language.skills[aux.rows[2].cells[0].getElementsByTagName("strong")[0].innerHTML.replace(/\<\/.*/g,'').replace(/.*\>/g,'')];
	var pla = fsok_language.skills[aux.rows[2].cells[1].getElementsByTagName("strong")[0].innerHTML.replace(/\<\/.*/g,'').replace(/.*\>/g,'')];
	var pas = fsok_language.skills[aux.rows[3].cells[0].getElementsByTagName("strong")[0].innerHTML.replace(/\<\/.*/g,'').replace(/.*\>/g,'')];
	var str = fsok_language.skills[aux.rows[3].cells[1].getElementsByTagName("strong")[0].innerHTML.replace(/\<\/.*/g,'').replace(/.*\>/g,'')];

    /****************************************************************************************/
	/* Create instructions for the users                                                    */
	/****************************************************************************************/

	var NT = doc.createElement("span"); //create the div section to add elements
	doc.getElementsByTagName("div")[21+add].getElementsByTagName('p')[0].setAttribute("id","result");

	var form="<br /><strong>NTDB: </strong><form action='"+url+"' method='post' style='display:inline;'>";
	form=form+"<input name='teamname' type='hidden' value='"+login+"'>";
	form=form+"<input name='tid' type='hidden' value='"+tid+"'>";
	form=form+"<input name='playername' type='hidden' value='"+playername+"'>";
	form=form+"<input name='countryid' type='hidden' value='"+country+"'>";
	form=form+"<input name='pid' type='hidden' value='"+pid+"'>";
	form=form+"<input name='age' type='hidden' value='"+age+"'>";
	form=form+"<input name='val' type='hidden' value='"+val+"'>";
	form=form+"<input name='wag' type='hidden' value='"+wag+"'>";
	form=form+"<input name='frm' type='hidden' value='"+frm+"'>";
	form=form+"<input name='tac' type='hidden' value='"+tac+"'>";
	form=form+"<input name='sta' type='hidden' value='"+sta+"'>";
	form=form+"<input name='kee' type='hidden' value='"+kee+"'>";
	form=form+"<input name='pac' type='hidden' value='"+pac+"'>";
	form=form+"<input name='def' type='hidden' value='"+def+"'>";
	form=form+"<input name='tec' type='hidden' value='"+tec+"'>";
	form=form+"<input name='pla' type='hidden' value='"+pla+"'>";
	form=form+"<input name='pas' type='hidden' value='"+pas+"'>";
	form=form+"<input name='str' type='hidden' value='"+str+"'>";
	form=form+"<input name='css' type='hidden' value='"+css+"'>";
	form=form+"<input name='lang' type='hidden' value='"+fsok_current_language+"'>";
	form=form+"<input type='image' src='"+flag+"' style='display:inline;'>";
	form=form+"</form>";

	NT.innerHTML=form;
	doc.getElementById("result").appendChild(NT);
  }

}

function getNodeValue(theNode) {
  for (var i = 0; ((i < 10) && (theNode.nodeValue == null)); i++) {
	theNode = theNode.firstChild;
  }
  return theNode.nodeValue;
}


if (!fsok_functions["/player.php"])
  fsok_functions["/player.php"] = new Array();

fsok_functions["/player.php"][fsok_functions["/player.php"].length] = fsok_addNTFlag;
