/* firesokker.js
 *
 * This is FireSokker's main file
 * Check if we are on sokker.org, then check the actions array
 * for the page we are on.
 *
 * @author   $Author: meraner $
 * @date     $Date: 2008-08-29 11:40:52 +0200 (Fri, 29 Aug 2008) $
 * @revision $Revision: 86 $
 */

/* Function: fsok_checkSite
 *
 * This function is triggered when a DOMContentLoaded event happens - it will check
 * whether the website is online.sokker.org and if on online.sokker.org it will
 * modify the page.
 *
 * @param  obj  event  The event that triggered the function call
 *
 * @return void
 */
function fsok_checkSite(event) {
  if (fsok_prefs.getBoolPref("enabled")) {
	try {
	  var doc = event.originalTarget;
	  var host = doc.location.href;
	  if (host.substr(0,24) == "http://online.sokker.org" || host.substr(0,20) == "http://217.17.40.90" || host.substr(0,28) == "http://newscripts.sokker.org") {
		var page = doc.location.pathname;
		var cookie_variables = fsok_parseCookieVariables(unescape(doc.cookie),';');
		var language = cookie_variables["lang"];
		if (sokker_language[language]) {
		  fsok_language = sokker_language[language];
		  fsok_current_language = language;
		}
		// First call global functions
		for (var i = 0; i < fsok_global_functions.length; i++) {
		  fsok_callFunction(fsok_global_functions[i],doc);
		}
		// Then call page functions
		if (fsok_functions[page]) {
		  for (i = 0; i < fsok_functions[page].length; i++) {
			fsok_callFunction(fsok_functions[page][i],doc);
		  }
		}
	  }
	} catch (e) {
	  var doc = event.originalTarget;
	  fsok_log(e,doc);
	}
  }
}

window.addEventListener('DOMContentLoaded',fsok_checkSite, false);
